%global gemdir     %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname    mg
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary:       Minimalist way to build and publish gems using Rake. Also build tarballs
Name:          rubygem-%{gemname}
Version:       0.0.8
Release:       2.1%{?dist}
Group:         Development/Languages
License:       WTFPL

URL:           http://github.com/sr/mg
Source0:       http://rubygems.org/gems/%{gemname}-%{version}.gem

BuildArch:     noarch

BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: ruby(rubygems)
BuildRequires: ruby

Requires:      ruby(abi) = %{rubyabi}
Requires:      ruby(rubygems)
Requires:      ruby
Requires:      rubygem(rake)

Provides:      rubygem(%{gemname}) = %{version}


%description
Minimalist way to build and publish gems using Rake. Also build tarballs.

%package doc
Summary:   Documentation for %{name}
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch


%description doc
Documentation for %{name}


%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n %{gemname}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gemname}.gemspec

# apply any patches here


%build
gem build %{gemname}.gemspec

gem install --local \
            --install-dir .%{gemdir} \
            --force \
            --rdoc \
            %{SOURCE0}


%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* \
      %{buildroot}%{gemdir}/


%files
%dir %{geminstdir}
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%doc %{geminstdir}/README.mkd


%files doc
%doc %{gemdir}/doc/%{gemname}-%{version}


%changelog
* Tue Dec 25 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.0.8-2.1
- Removed Group fields.
- Refactored the specfile to match current Ruby packaging guidelines.

* Mon Oct 17 2011 Darryl L. Pierce <dpierce@redhat.com> - 0.0.8-2
- Moved README.mkd to the main package
- Removed trailing period from summary.

* Mon Sep 12 2011 Darryl L. Pierce <dpierce@redhat.com> - 0.0.8-1
- Initial package
